In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
merchant_location_guid
string
required
The unique identifier for the merchant. Defined by MX.
Response
200 - application/vnd.mx.nexus.v1+json
OK
merchant_location
object
Hide child attributes
merchant_location.city
string
The city in which the merchant is located.
Example:
"Staten Island"
merchant_location.country
string
The country in which the merchant is located.
Example:
"United States"
merchant_location.created_at
string<date-time>
Date and time the merchant location was created, represented in ISO 8601 format with timestamp (e.g., 2015-04-13T12:01:23-00:00).
Example:
"2021-10-05T23:35:19+00:00"
merchant_location.guid
string
The unique identifier for the merchant location. Defined by MX.
Example:
"MCL-c51b9d25-9733-4def-8929-2d5bb1b2b9f1"
merchant_location.latitude
number
The latitude of the merchant location. This number is a signed decimal (e.g., Rio de Janeiro's latitude is -22.9027800 and Tokyo's latitude is 35.689488).
Example:
40.5710098
merchant_location.longitude
number
The longitude of the merchant location. This number is a signed decimal (e.g., Rio de Janeiro's longitude is -43.2075000 and Tokyo's longitude is 139.691706).
Example:
-74.1097041
merchant_location.merchant_guid
string
The unique identifier for the merchant to which this location belongs. Defined by MX.
Example:
"MCH-adb8a6ab-5e96-c4ef-22b3-beb0e7a79b3c"
merchant_location.phone_number
string
The phone number for the merchant location.
Example:
"(917) 426-0321"
merchant_location.postal_code
string
The postal code in which the merchant is located.
Example:
"10306"
merchant_location.region_code
string
The region in which the merchant is located; e.g., a U.S. state code such as UT.
Example:
"NY"
merchant_location.street_address
string
The street address at which the merchant is located.
Example:
"2475 Hylan Blvd"
merchant_location.updated_at
string<date-time>
Date and time the merchant record was updated, represented in ISO 8601 format with timestamp (e.g., 2015-04-13T12:01:23-00:00).